Bug 657885 - [abrt] font-manager-0.5.6-1.fc14.1: __init__.py:433:list_families_in:IndexError: No such collection or category
Summary: [abrt] font-manager-0.5.6-1.fc14.1: __init__.py:433:list_families_in:IndexErr...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: font-manager
Version: 14
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Jean-Francois Saucier
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1c8290fa
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-28 15:20 UTC by Santiago Lunar
Modified: 2011-01-12 05:27 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-01-12 05:19:42 UTC


Attachments (Terms of Use)
File: backtrace (589 bytes, text/plain)
2010-11-28 15:20 UTC, Santiago Lunar
no flags Details

Description Santiago Lunar 2010-11-28 15:20:37 UTC
abrt version: 1.1.14
architecture: i686
cmdline: /usr/bin/python /usr/bin/font-manager
component: font-manager
executable: /usr/bin/font-manager
kernel: 2.6.35.6-48.fc14.i686
package: font-manager-0.5.6-1.fc14.1
reason: __init__.py:433:list_families_in:IndexError: No such collection or category
release: Fedora release 14 (Laughlin)
time: 1290957588
uid: 500

backtrace
-----
__init__.py:433:list_families_in:IndexError: No such collection or category

Traceback (most recent call last):
  File "/usr/share/font-manager/ui/treeviews.py", line 502, in _on_enable_collection
    selected = len(self.manager.list_families_in(self.current_collection))
  File "/usr/share/font-manager/core/__init__.py", line 433, in list_families_in
    raise IndexError('No such collection or category')
IndexError: No such collection or category

Local variables in innermost frame:
self: <FontManager object at 0x8a43f54 (core+FontManager at 0x8b161d0)>
collection: 'New Collection'

How to reproduce
-----
1.Activando una coleccion personalizada de fuentes
2.
3.

Comment 1 Santiago Lunar 2010-11-28 15:20:40 UTC
Created attachment 463337 [details]
File: backtrace

Comment 2 Jean-Francois Saucier 2010-12-27 02:03:19 UTC
Hi,

Thanks for reporting this bug. Can you add more detail on what caused the issue
to arise, in English in preference as my Spanish is not so good ;)

Comment 3 jerrycasiano 2010-12-31 01:33:50 UTC
@ Jean-Francois Saucier

I think this is no longer an issue in 0.5.7. ;-)


@ Santiago Lunar

Me parece que esto ya no sucede en la ultima version.

Comment 4 Fedora Update System 2011-01-02 20:37:02 UTC
font-manager-0.5.7-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/font-manager-0.5.7-1.fc14

Comment 5 Fedora Update System 2011-01-02 20:50:09 UTC
font-manager-0.5.7-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/font-manager-0.5.7-1.fc13

Comment 6 Fedora Update System 2011-01-03 20:05:18 UTC
font-manager-0.5.7-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update font-manager'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/font-manager-0.5.7-1.fc14

Comment 7 Fedora Update System 2011-01-12 05:19:28 UTC
font-manager-0.5.7-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-01-12 05:27:17 UTC
font-manager-0.5.7-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.